LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XBackend Interface Referencepublished

Handles access to layered data stored in a repository. More...

`import"XBackend.idl";`

Inheritance diagram for XBackend:

## Public Member Functions
sequence< XLayer > | listOwnLayers ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to the owner entity for a component. More...
XUpdateHandler | getOwnUpdateHandler ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler for the owner entity layer for a component. More...
sequence< XLayer > | listLayers ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to an entity for a component. More...
XUpdateHandler | getUpdateHandler ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler on an entity's layer for a component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Handles access to layered data stored in a repository.

Data can be retrieved on behalf of one or more entities.

There is an implied owner entity associated to the object when it is created. This entity should be used for normal data access. For administrative operations data of other entities can be accessed.

See also
  com::sun::star::configuration::backend::XBackendEntities
  com::sun::star::configuration::backend::XSchemaSupplier

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ getOwnUpdateHandler()

XUpdateHandler getOwnUpdateHandler | ( | [in] string | aComponent | ) |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::NoSupportException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an update handler for the owner entity layer for a component.

Parameters

  aComponent | component whose data will be updated

Returns
  an object allowing manipulation of the component data for the current entity

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid
  com::sun::star::lang::NoSupportException | if updates are not supported for this backend
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

See also
  com::sun::star::configuration::backend::XBackendEntities::getOwnerEntity()

## ◆ getUpdateHandler()

XUpdateHandler getUpdateHandler | ( | [in] string | aComponent,
|  | [in] string | aEntity
| ) |  |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::NoSupportException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

creates an update handler on an entity's layer for a component.

Parameters

  aComponent | component whose data will be updated
  aEntity | entity whose data will be updated

Returns
  an object allowing manipulation of the component data for the entity

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid or if the entity doesn't exist.
  com::sun::star::lang::NoSupportException | if updates are not supported for this backend
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

See also
  com::sun::star::configuration::backend::XBackendEntities::supportsEntity()

## ◆ listLayers()

sequence< XLayer > listLayers | ( | [in] string | aComponent,
|  | [in] string | aEntity
| ) |  |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

retrieves the layers associated to an entity for a component.

Parameters

  aComponent | component whose data will be accessed
  aEntity | entity whose data will be accessed

Returns
  a list of objects allowing access to the component data for each layer associated with the entity.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid or if the entity doesn't exist.
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

See also
  com::sun::star::configuration::backend::XBackendEntities::supportsEntity()

## ◆ listOwnLayers()

sequence< XLayer > listOwnLayers | ( | [in] string | aComponent | ) |
raises | ( | BackendAccessException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

retrieves the layers associated to the owner entity for a component.

Parameters

  aComponent | component whose data will be accessed

Returns
  a list of objects allowing access to the component data for each layer associated to the current entity

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the component identifier is invalid
  com::sun::star::configuration::backend::BackendAccessException | if an error occurs while accessing the data.

See also
  com::sun::star::configuration::backend::XBackendEntities::getOwnerEntity()

The documentation for this interface was generated from the following file:

- com/sun/star/configuration/backend/XBackend.idl